%define version	0.9.0
%define release 4mdk

Name:		etherape
Summary:	Graphical network viewer modeled after etherman
Version:	%{version}
Release: 	%{release}
License:	GPL
Group:		Monitoring
URL:		http://etherape.sourceforge.net/

Source:		%{name}-%{version}.tar.bz2
Requires:	usermode
Buildrequires:	libglade2.0-devel
BuildRequires:	libpcap-devel
BuildRequires:	libgnomeui2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Etherape is a graphical network monitor for Unix modeled after
etherman. Featuring ether, ip and tcp modes, it displays network
activity graphically. Hosts and links change in size with traffic. 
Color coded protocols display. It supports ethernet, ppp and slip 
devices. It can filter traffic to be shown, and can read traffic 
from a file as well as live from the network. 


%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std bindir=%{_sbindir}

mv %{buildroot}/%{_sbindir}/etherape %{buildroot}/%{_sbindir}/etherape.real
ln -sf %{_bindir}/consolehelper %{buildroot}/%{_sbindir}/etherape

# menu
install -d %{buildroot}/%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name}
?package(%{name}): \
  command="%{_sbindir}/etherape" \
  needs="x11" \
  section="Applications/Monitoring" \
  title="Etherape" \
  longtitle="Graphical network viewer" \
  icon="monitoring_section.png"
EOF

# pam.d
install -m 755 -d %{buildroot}%{_sysconfdir}/pam.d
cat > %{buildroot}%{_sysconfdir}/pam.d/%{name} << _EOF_
#%PAM-1.0
auth       sufficient	pam_rootok.so
auth       sufficient	pam_timestamp.so
auth       required	pam_stack.so service=system-auth
session    required	pam_permit.so
session    optional	pam_xauth.so
session    optional	pam_timestamp.so
account    required	pam_permit.so
_EOF_


# console.apps
install -m 755 -d %{buildroot}%{_sysconfdir}/security/console.apps
cat > %{buildroot}%{_sysconfdir}/security/console.apps/%{name} << _EOF_
USER=root
PROGRAM=%{_sbindir}/etherape.real
SESSION=true
FALLBACK=false
_EOF_


%find_lang %{name}

%post
%update_menus

%postun
%clean_menus

%clean
rm -fr %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README FAQ
%doc README.help README.bugs README.thanks
%config(noreplace) %_sysconfdir/etherape/*
%config(noreplace) %_sysconfdir/pam.d/etherape
%config(noreplace) %_sysconfdir/security/console.apps/etherape
%_sbindir/*
%_mandir/man1/*
%_menudir/*
%_datadir/%{name}
%_datadir/gnome/apps/*/*.desktop
%_datadir/pixmaps/*

%changelog
* Sun Jan 18 2004 Abel Cheung <deaddog@deaddog.org> 0.9.0-4mdk
- Include pam stuff in spec, and don't need to reauthenticate after
  small period of time

* Wed Sep 03 2003 Michael Scherer <scherer.michael@free.fr> 0.9.0-3mdk 
- BuildRequires ( libglade2.0_0-devel,libgnomeui2_0-devel,libpcap-devel )
- do not use static pcap

* Tue Apr 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.0-2mdk
- adjust buildrequires

* Mon Mar 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.0-1mdk
- 0.9.0

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-6mdk
- rebuild

* Wed Jan 30 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.2-5mdk
- fix menu thanks to huug <huug.2001@hccnet.nl>

* Tue Jan 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-4mdk
- icon
- fix build

* Thu Sep 13 2001 Daouda LO <daouda@mandrakesoft.com> 0.8.2-3mdk
- consolehelper real fix (fix the security apps file). 

* Tue Sep 11 2001 Daouda LO <daouda@mandrakesoft.com> 0.8.2-2mdk
- use usermode console helper, don't provide it.

* Mon Aug 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-1mdk
- updated to 0.8.2

* Thu Jul 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.7-1mdk
- updated to 0.7.7

* Mon Apr 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.9-1mdk
- updated to 0.6.9

* Fri Jan 05 2001 David BAUDENS <baudens@mandrakesoft.com> 0.5.6-2mdk
- Use %%make macro
- Own %%_datadir/etherape
- s/Copyright/Licence
- Requires: usermode

* Mon Oct 30 2000 Vincent Danen  <vdanen@mandrakesoft.com> 0.5.6-1mdk
- first Mandrake release
- included support for consolehelper since etherape can only be run as root
